'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.GLOBAL_BROWSER_NAME_KEY = exports.GLOBAL_WINDOW_IDS_KEY = exports.GLOBAL_WINDOW_NAMES_KEY = exports.SHAPE_FILTER_KEY = exports.REDUCER_NAME = exports.GLOBAL_ACTIONS_TO_STORE_IN_BROWSER = exports.ELECTRON_PROCESS_NAME = exports.IPC_CHANNEL_NAME = undefined;

var _actionTypes = require('./actionTypes');

const IPC_CHANNEL_NAME = exports.IPC_CHANNEL_NAME = 'ELECTRON_REDUX_COMM';
const ELECTRON_PROCESS_NAME = exports.ELECTRON_PROCESS_NAME = 'ELECTRON_PROCESS';

const GLOBAL_ACTIONS_TO_STORE_IN_BROWSER = exports.GLOBAL_ACTIONS_TO_STORE_IN_BROWSER = {
	[_actionTypes.ADD_ACTION_SUBSCRIBER]: true,
	[_actionTypes.REMOVE_ACTION_SUBSCRIBER]: true,
	[_actionTypes.ADD_STATE_SUBSCRIBER]: true,
	[_actionTypes.REMOVE_STATE_SUBSCRIBER]: true
};

const REDUCER_NAME = exports.REDUCER_NAME = 'ElectronReduxComm';
const SHAPE_FILTER_KEY = exports.SHAPE_FILTER_KEY = '[FILTER]';

const GLOBAL_PREFIX = 'ElectronReduxComm';
const GLOBAL_WINDOW_NAMES_KEY = exports.GLOBAL_WINDOW_NAMES_KEY = GLOBAL_PREFIX + '_' + 'windowNames';
const GLOBAL_WINDOW_IDS_KEY = exports.GLOBAL_WINDOW_IDS_KEY = GLOBAL_PREFIX + '_' + 'windowIds';
const GLOBAL_BROWSER_NAME_KEY = exports.GLOBAL_BROWSER_NAME_KEY = GLOBAL_PREFIX + '_' + 'browserName';