'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.browserReducer = browserReducer;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _logToFile = require('../utils/logToFile');

var _actionTypes = require('../constants/actionTypes');

var CONSTANTS = _interopRequireWildcard(_actionTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const initialState = _immutable2.default.fromJS({
	windowNames: {
		name: {
			id: 'webcontentsId'
		}
	},
	windowIds: {
		id: {
			name: 'webcontentsName'
		}
	},

	actionQueue: {
		windowName: ['actions']
	},

	actionStore: {
		windowName: ['actions']
	}

});

function browserReducer() {
	let state = arguments.length <= 0 || arguments[0] === undefined ? initialState : arguments[0];
	let action = arguments[1];


	switch (action.type) {
		case CONSTANTS.ANNOUNCE_NEW_VIEW:
			{
				var _action$payload = action.payload;
				const id = _action$payload.id;
				const viewName = _action$payload.viewName;


				return state.setIn(['windowNames', viewName, 'id'], id).setIn(['windowIds', id, 'name'], viewName);
				// 				// Cleanup leftover action if you reload window, but not the browser process
				// 				.updateIn(['actionQueue', viewName], Immutable.List(), (actionQueue) =>
				// 				{
				// 					actionQueue = actionQueue.map((queuedAction) =>
				// 					{
				// 						return queuedAction.filterNot((queuedAction) => _.get(queuedAction, ['payload', 'source']) === viewName);
				// 					});
				//
				// 					return actionQueue;
				// 				})
				// 				.updateIn(['actionStore'], Immutable.Map(), (actionStore) =>
				// 				{
				// 					actionStore = actionStore.map((storedActions) =>
				// 					{
				// 						return storedActions.filterNot((storedAction) => _.get(storedAction, ['payload', 'source']) === viewName);
				// 					});
				//
				// 					return actionStore;
				// 				})
			}

		case CONSTANTS.ANNOUNCE_CLOSING_VIEW:
			{
				const viewName = action.payload.viewName;


				(0, _logToFile.logToFile)('[ANNOUNCE_CLOSING_VIEW]: ' + viewName);

				const id = state.getIn(['windowNames', viewName, 'id']);

				return state.removeIn(['windowNames', viewName]).removeIn(['windowIds', id]);
				// 				// Clear all queued or stored actions dispatched from us
				// 				.updateIn(['actionQueue', viewName], Immutable.List(), (actionQueue) =>
				// 				{
				// 					actionQueue = actionQueue.map((queuedAction) =>
				// 					{
				// 						return queuedAction.filterNot((queuedAction) => _.get(queuedAction, ['payload', 'source']) === viewName);
				// 					});
				//
				// 					return actionQueue;
				// 				})
				// 				.updateIn(['actionStore'], Immutable.Map(), (actionStore) =>
				// 				{
				// 					actionStore = actionStore.map((storedActions) =>
				// 					{
				// 						return storedActions.filterNot((storedAction) => _.get(storedAction, ['payload', 'source']) === viewName);
				// 					});
				//
				// 					return actionStore;
				// 				})
			}

		// 		case CONSTANTS.ADD_GLOBAL_ACTION_TO_QUEUE:
		// 		{
		// 			const {targetWindowName, action: actionToQueue} = action.payload;
		//
		// 			return state.updateIn(['actionQueue', targetWindowName], Immutable.List(), (actionQueue) =>
		// 			{
		// 				return actionQueue.push(actionToQueue);
		// 			});
		// 		}
		//
		// 		case CONSTANTS.CLEAR_ACTION_QUEUE_FOR_VIEW:
		// 		{
		// 			const {viewName} = action.payload;
		//
		// 			return state.removeIn(['actionQueue', viewName]);
		// 		}

		// 		// Don't add duplicate ADD SUBSCRIBER, always keep only the last one
		// 		// Don't store anything on REMOVE SUBSCRIBER and also delete any stored ADD SUBSCRIBER
		// 		case CONSTANTS.ADD_GLOBAL_ACTION_TO_STORE:
		// 		{
		// 			const {targetWindowName, action: actionToStore} = action.payload;
		//
		// 			switch (_.get(actionToStore, ['payload', 'action', 'type']))
		// 			{
		// 				case CONSTANTS.REMOVE_STATE_SUBSCRIBER:
		// 				case CONSTANTS.ADD_STATE_SUBSCRIBER:
		// 				{
		// 					return state.updateIn(['actionStore', targetWindowName], Immutable.List(), (actionStore) =>
		// 					{
		// 						// Remove all stored `ADD_STATE_SUBSCRIBER` from the same window as this action
		// 						actionStore = actionStore.filterNot((storedAction) =>
		// 						{
		// 							return _.get(storedAction, ['payload', 'source']) === _.get(actionToStore, ['payload', 'source']) &&
		// 								_.get(storedAction, ['payload', 'action', 'type']) === CONSTANTS.ADD_STATE_SUBSCRIBER;
		// 						});
		//
		//
		// 						// Add new subscriber
		// 						if (_.get(actionToStore, ['payload', 'action', 'type']) === CONSTANTS.ADD_STATE_SUBSCRIBER)
		// 						{
		// 							return actionStore.push(actionToStore);
		// 						}
		//
		// 						return actionStore;
		// 					});
		// 				}
		//
		// 				case CONSTANTS.REMOVE_ACTION_SUBSCRIBER:
		// 				case CONSTANTS.ADD_ACTION_SUBSCRIBER:
		// 				{
		// 					return state.updateIn(['actionStore', targetWindowName], Immutable.List(), (actionStore) =>
		// 					{
		// 						// Remove all stored `ADD_ACTION_SUBSCRIBER` from the same window as this action
		// 						actionStore = actionStore.filterNot((storedAction) =>
		// 						{
		// 							return _.get(storedAction, ['payload', 'source']) === _.get(actionToStore, ['payload', 'source']) &&
		// 								_.get(storedAction, ['payload', 'action', 'type']) === CONSTANTS.ADD_ACTION_SUBSCRIBER;
		// 						});
		//
		//
		// 						// Add new subscriber
		// 						if (_.get(actionToStore, ['payload', 'action', 'type']) === CONSTANTS.ADD_ACTION_SUBSCRIBER)
		// 						{
		// 							return actionStore.push(actionToStore);
		// 						}
		//
		// 						return actionStore;
		// 					});
		// 				}
		//
		// 				// If the action isn't ADD/REMOVE SUBSCRIBER then just add it to the store
		// 				default:
		// 				{
		// 					return state.updateIn(['actionStore', targetWindowName], Immutable.List(), (actionStore) =>
		// 					{
		// 						return actionStore.push(actionToStore);
		// 					});
		//
		// 				}
		// 			}
		//
		// 		}
		//
		// 		case CONSTANTS.REMOVE_VIEW_FROM_ACTION_STORE:
		// 		{
		// 			const {windowName} = action.payload;
		//
		// 			return state.removeIn(['actionStore', windowName]);
		// 		}

		default:
			return state;
	}
}