'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.Init = Init;

var _reduxSaga = require('redux-saga');

var _effects = require('redux-saga/effects');

var _libraryConstants = require('../constants/libraryConstants');

var _actions = require('../actions');

var _utils = require('../utils');

var _selectors = require('../selectors');

function* Init() {
	const currentViewName = yield (0, _effects.select)(_selectors.getViewName);

	// Store browser name in global
	if ((0, _utils.isBrowserProcess)()) {
		// Set global browser name
		global[_libraryConstants.GLOBAL_BROWSER_NAME_KEY] = currentViewName;
	}

	// Announce renderer views
	if ((0, _utils.isRendererProcess)()) {
		let windowId = yield (0, _utils.getCurrentWindowId)();
		yield (0, _utils.sagaPut)((0, _actions.makeGlobalAction)((0, _actions.announceNewView)(currentViewName, windowId), _libraryConstants.ELECTRON_PROCESS_NAME));
	}
}