'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.InitialStateReceivedAnnouncer = InitialStateReceivedAnnouncer;

var _reduxSaga = require('redux-saga');

var _effects = require('redux-saga/effects');

var _actions = require('../actions');

var _actionTypes = require('../constants/actionTypes');

var _utils = require('../utils');

function* InitialStateReceivedAnnouncer() {
	yield* (0, _reduxSaga.takeEvery)(_actionTypes.SET_INITIAL_SUBSCRIBED_STATE, announceReceivedInitialState);
}

function* announceReceivedInitialState(action) {
	const stateFrom = action.payload.stateFrom;


	yield (0, _utils.sagaPut)((0, _actions.initialStateReceived)(stateFrom));
}