'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.announceAllWindowsToWindow = announceAllWindowsToWindow;

var _effects = require('redux-saga/effects');

var _utils = require('../utils');

var _actions = require('../actions');

var _libraryConstants = require('../constants/libraryConstants');

function* announceAllWindowsToWindow(targetWindow) {
	const windowNames = yield (0, _utils.getGlobalVar)(_libraryConstants.GLOBAL_WINDOW_NAMES_KEY);

	for (var name in windowNames) {
		if (windowNames.hasOwnProperty(name) && name !== targetWindow) {
			yield (0, _utils.sagaPut)((0, _actions.makeGlobalAction)((0, _actions.announceNewView)(name, -1), targetWindow));
		}
	}
}