'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.SubscriptionsHandler = exports.InitialStateReceivedAnnouncer = exports.StateChangeHandler = exports.ClosingViewHandler = exports.NewViewHandler = exports.Init = exports.SubscribersHandler = exports.GlobalActionHandler = exports.ActionHandler = undefined;

var _ActionHandler = require('./ActionHandler');

Object.defineProperty(exports, 'ActionHandler', {
	enumerable: true,
	get: function () {
		return _ActionHandler.ActionHandler;
	}
});

var _GlobalActionHandler = require('./GlobalActionHandler');

Object.defineProperty(exports, 'GlobalActionHandler', {
	enumerable: true,
	get: function () {
		return _GlobalActionHandler.GlobalActionHandler;
	}
});

var _SubscribersHandler = require('./SubscribersHandler');

Object.defineProperty(exports, 'SubscribersHandler', {
	enumerable: true,
	get: function () {
		return _SubscribersHandler.SubscribersHandler;
	}
});

var _Init = require('./Init');

Object.defineProperty(exports, 'Init', {
	enumerable: true,
	get: function () {
		return _Init.Init;
	}
});

var _NewViewHandler = require('./NewViewHandler');

Object.defineProperty(exports, 'NewViewHandler', {
	enumerable: true,
	get: function () {
		return _NewViewHandler.NewViewHandler;
	}
});

var _ClosingViewHandler = require('./ClosingViewHandler');

Object.defineProperty(exports, 'ClosingViewHandler', {
	enumerable: true,
	get: function () {
		return _ClosingViewHandler.ClosingViewHandler;
	}
});

var _StateChangeHandler = require('./StateChangeHandler');

Object.defineProperty(exports, 'StateChangeHandler', {
	enumerable: true,
	get: function () {
		return _StateChangeHandler.StateChangeHandler;
	}
});

var _InitialStateReceivedAnnouncer = require('./InitialStateReceivedAnnouncer');

Object.defineProperty(exports, 'InitialStateReceivedAnnouncer', {
	enumerable: true,
	get: function () {
		return _InitialStateReceivedAnnouncer.InitialStateReceivedAnnouncer;
	}
});

var _SubscriptionsHandler = require('./SubscriptionsHandler');

Object.defineProperty(exports, 'SubscriptionsHandler', {
	enumerable: true,
	get: function () {
		return _SubscriptionsHandler.SubscriptionsHandler;
	}
});
exports.default = RootSaga;

var _effects = require('redux-saga/effects');

function* RootSaga() {

	yield [(0, _effects.fork)(_GlobalActionHandler.GlobalActionHandler), (0, _effects.fork)(_SubscriptionsHandler.SubscriptionsHandler), (0, _effects.fork)(_ActionHandler.ActionHandler), (0, _effects.fork)(_InitialStateReceivedAnnouncer.InitialStateReceivedAnnouncer), (0, _effects.fork)(_SubscribersHandler.SubscribersHandler), (0, _effects.fork)(_NewViewHandler.NewViewHandler), (0, _effects.fork)(_ClosingViewHandler.ClosingViewHandler), (0, _effects.fork)(_StateChangeHandler.StateChangeHandler)];

	// Ensure all other sagas were called before running Init
	yield (0, _effects.fork)(_Init.Init);
}