'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.resendActionFromRendererToAllOtherRenderers = resendActionFromRendererToAllOtherRenderers;

var _effects = require('redux-saga/effects');

var _utils = require('../utils');

var _actions = require('../actions');

var _libraryConstants = require('../constants/libraryConstants');

function* resendActionFromRendererToAllOtherRenderers(action, sourceWindowName) {
	const windowNames = yield (0, _utils.getGlobalVar)(_libraryConstants.GLOBAL_WINDOW_NAMES_KEY);

	for (var name in windowNames) {
		if (windowNames.hasOwnProperty(name) && name !== sourceWindowName) {
			yield (0, _utils.sagaPut)((0, _actions.makeGlobalAction)(action, name));
		}
	}
}