'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.calculateStateFilterShape = calculateStateFilterShape;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Create map of reducers that have state subscribers
function calculateStateFilterShape(state, newFilter) {
	let stateFilterShape = _immutable2.default.Map();

	stateFilterShape = stateFilterShape.withMutations(function (mutable) {
		state.get('stateSubscribers', _immutable2.default.Map()).forEach(stateSubscriber => {
			stateSubscriber.get('filter', _immutable2.default.Map()).forEach((filter, key) => {
				mutable.set(key, true);
			});
		});

		if (newFilter != null) {
			newFilter.forEach((filter, key) => {
				mutable.set(key, true);
			});
		}
	});

	return stateFilterShape;
}