'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.diffStateWithShape = diffStateWithShape;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _diffWithShape = require('./diffWithShape');

var _isImmutableJsMap = require('./isImmutableJsMap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function diffStateWithShape(a, b, shape) {
	// Return empty diff on invalid shape filter
	if (shape == null || !(0, _isImmutableJsMap.isImmutableJsMap)(shape) || shape.size <= 0) {
		return _immutable2.default.Map();
	}

	let stateDiff = _immutable2.default.Map();

	stateDiff = stateDiff.withMutations(function (mutable) {
		shape.forEach((reducerShape, reducerName) => {
			// TODO: Support full diff without shape
			const reducerStateA = _lodash2.default.get(a, reducerName);
			const reducerStateB = _lodash2.default.get(b, reducerName);

			const diff = (0, _diffWithShape.diffWithShape)(reducerStateA, reducerStateB, reducerShape);

			// TODO: Is it a proper test?
			if (diff.size > 0) {
				mutable.set(reducerName, diff);
			}
		});
	});

	return stateDiff;
}