'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.filterStateToShape = filterStateToShape;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _filterMapToShape = require('./filterMapToShape');

var _isImmutableJsMap = require('./isImmutableJsMap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function filterStateToShape(state, shape) {
	// Return empty state on invalid shape filter
	if (shape == null || !(0, _isImmutableJsMap.isImmutableJsMap)(shape) || shape.size <= 0) {
		return {};
	}

	let filteredState = _immutable2.default.Map();

	filteredState = filteredState.withMutations(mutable => {
		shape.forEach((reducerFilter, reducerName) => {
			if (_lodash2.default.has(state, reducerName)) {
				let filtered = (0, _filterMapToShape.filterMapToShape)(state[reducerName], reducerFilter);
				mutable.set(reducerName, filtered);
			}
		});
	});

	return filteredState;
}