'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getCurrentWindowId = getCurrentWindowId;

var _process = require('process');

var _process2 = _interopRequireDefault(_process);

var _isBrowserProcess = require('./isBrowserProcess');

var _isRendererProcess = require('./isRendererProcess');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getCurrentWindowId() {
	if (_process2.default.env.NODE_ENV === 'test') {
		// Mock for tests
		return 0;
	};

	if ((0, _isBrowserProcess.isBrowserProcess)()) {
		return -1;
	}

	if ((0, _isRendererProcess.isRendererProcess)()) {

		let remote = require('electron').remote;
		return remote.getCurrentWindow().id;
	}
}