'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getGlobalVar = getGlobalVar;

var _process = require('process');

var _process2 = _interopRequireDefault(_process);

var _lodash = require('lodash');

var _ = _interopRequireWildcard(_lodash);

var _isBrowserProcess = require('./isBrowserProcess');

var _isRendererProcess = require('./isRendererProcess');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getGlobalVar(globalVarName) {
	if (_process2.default.env.NODE_ENV === 'test') {
		// Mock for tests
		return -1;
	};

	if ((0, _isBrowserProcess.isBrowserProcess)()) {
		return _.get(global, globalVarName);
	}

	if ((0, _isRendererProcess.isRendererProcess)()) {
		let remote = require('electron').remote;
		return remote.getGlobal(globalVarName);
	}
}