'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getIpc = getIpc;

var _process = require('process');

var _process2 = _interopRequireDefault(_process);

var _isBrowserProcess = require('./isBrowserProcess');

var _isRendererProcess = require('./isRendererProcess');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getIpc() {
	if (_process2.default.env.NODE_ENV === 'test') {
		// Return mock ipc in tests
		return {
			send: function () {},
			on: function () {}
		};
	};

	if ((0, _isBrowserProcess.isBrowserProcess)()) {
		return require('electron').ipcMain;
	}

	if ((0, _isRendererProcess.isRendererProcess)()) {
		return require('electron').ipcRenderer;
	}
}