'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getWindowFromId = getWindowFromId;

var _isBrowserProcess = require('./isBrowserProcess');

var _isRendererProcess = require('./isRendererProcess');

function getWindowFromId(id) {
	let BrowserWindow;

	if ((0, _isBrowserProcess.isBrowserProcess)()) {
		BrowserWindow = require('electron').BrowserWindow;
	}

	if ((0, _isRendererProcess.isRendererProcess)()) {
		let remote = require('electron').remote;
		BrowserWindow = remote.BrowserWindow;
	}

	let window = BrowserWindow.fromId(id);
	return window != null ? window : null;
}