'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getWindowIdByName = getWindowIdByName;

var _process = require('process');

var _process2 = _interopRequireDefault(_process);

var _lodash = require('lodash');

var _ = _interopRequireWildcard(_lodash);

var _libraryConstants = require('../constants/libraryConstants');

var _getGlobalVar = require('./getGlobalVar');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getWindowIdByName(windowName) {
	if (_process2.default.env.NODE_ENV === 'test') {
		// Mock for tests
		return -1;
	};

	let windowNames = (0, _getGlobalVar.getGlobalVar)(_libraryConstants.GLOBAL_WINDOW_NAMES_KEY);

	return _.get(windowNames, [windowName, 'id'], -1);
}