'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.isRendererWindowAvailable = isRendererWindowAvailable;

var _getWindowIdByName = require('./getWindowIdByName');

var _getWindowFromName = require('./getWindowFromName');

var _lodash = require('lodash');

var _ = _interopRequireWildcard(_lodash);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function isRendererWindowAvailable(windowName) {
	let id = (0, _getWindowIdByName.getWindowIdByName)(windowName);
	if (id > 0) {
		let window = (0, _getWindowFromName.getWindowFromName)(windowName);

		// _.has doesn't seem to work for some reason
		if (_.get(window, 'id', -1) > 0) {
			return true;
		}
	}
	return false;
}