'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.isNumbersOnlyList = isNumbersOnlyList;
exports.isMapsOnlyList = isMapsOnlyList;
exports.isPlainList = isPlainList;
exports.isSliceList = isSliceList;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isNumbersOnlyList(list) {
	if (list == null) {
		return false;
	}

	let isNumbersOnly = true;
	list.forEach(item => {
		if (typeof item !== 'number') {
			isNumbersOnly = false;
			return false;
		}
	});

	return isNumbersOnly;
}

function isMapsOnlyList(list) {
	if (list == null) {
		return false;
	}

	let isMapsOnly = true;
	list.forEach(item => {
		if (!_immutable2.default.Map.isMap(item)) {
			isMapsOnly = false;
			return false;
		}
	});

	return isMapsOnly;
}

// has no nested lists such as [a, [1, 2], b, c]
function isPlainList(list) {
	if (list == null || !_immutable2.default.List.isList(list)) {
		return false;
	}

	let isPlain = true;
	list.forEach(item => {
		if (_immutable2.default.List.isList(item)) {
			isPlain = false;
			return false;
		}
	});

	return isPlain;
}

function isSliceList(list) {
	if (list == null || !_immutable2.default.List.isList(list)) {
		return false;
	}

	return list.size > 0 && list.size <= 2 && isNumbersOnlyList(list);
}