'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.mergeStateWithShape = mergeStateWithShape;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _mergeWithShape = require('./mergeWithShape');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mergeStateWithShape(state, mergingState, shape) {
	if (_lodash2.default.isEmpty(mergingState) || !_immutable2.default.Map.isMap(shape) || shape.size <= 0) {
		return state;
	}

	let patchedState = _lodash2.default.assign({}, state);

	let hasChanged = false;

	shape.forEach((reducerState, reducerName) => {
		if (!_lodash2.default.has(mergingState, reducerName)) {
			return;
		}

		patchedState[reducerName] = (0, _mergeWithShape.mergeWithShape)(_lodash2.default.get(state, reducerName, _immutable2.default.Map()), _immutable2.default.fromJS(mergingState[reducerName]), shape.get(reducerName, _immutable2.default.Map()));

		hasChanged = true;
	});

	return hasChanged ? patchedState : state;
}