'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.patchStateFromDiff = patchStateFromDiff;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _immutablepatch = require('immutablepatch');

var _immutablepatch2 = _interopRequireDefault(_immutablepatch);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function patchStateFromDiff(state, statePatch) {
	let patchedState = _lodash2.default.assign({}, state);

	let hasChanged = false;
	_lodash2.default.forEach(statePatch, (stateDiff, reducerName) => {
		patchedState[reducerName] = (0, _immutablepatch2.default)(state[reducerName], _immutable2.default.fromJS(stateDiff));
		hasChanged = true;
	});

	return hasChanged ? patchedState : state;
}