'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.processFilterByValue = processFilterByValue;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _processShapeMapPath = require('./processShapeMapPath');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function processFilterByValue(state, filter, fullState) {
	// Store the resolved filter selectors
	let valuesMap = _immutable2.default.Map();

	// Get all the filter values
	filter.forEach((filterSelector, filterProperty) => {
		let value = (0, _processShapeMapPath.processShapeMapPath)(filterSelector, fullState).flatten();
		// QQQ: Warn on invalid value?
		if (_immutable2.default.List.isList(value) && value.size > 0 && value.get(0) !== undefined) {
			valuesMap = valuesMap.set(filterProperty, value);
		}
	});

	// On invalid filter values return whole object
	if (valuesMap.isEmpty()) {
		return state;
	}

	let processedState = state.filter((stateProperty, statePropertyName) => {
		let isOk = true;
		valuesMap.forEach((filterValue, filterProperty) => {
			if (!stateProperty.has(filterProperty) || !filterValue.contains(stateProperty.get(filterProperty))) {
				isOk = false;
				return false;
			}
		});

		return isOk;
	});

	return processedState;
}