'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.processShapeMapValues = processShapeMapValues;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function processShapeMapValues(state, filter) {
	let processedState = state.map((stateProperty, statePropertyName) => {
		return stateProperty.filter((statePropertyChildValue, statePropertyChildName) => {
			/**
    * Filter is Map:
    * 
    * {
    *   key: true,
    *   key2: true,
    * }
    */
			if (_immutable2.default.Map.isMap(filter)) {
				return filter.has(statePropertyChildName) && filter.get(statePropertyChildName) === true;
			}
			/**
    * Filter is a List of keys
    * 
    * ['key', 'key2']
    */
			else if (_immutable2.default.List.isList(filter)) {
					return filter.contains(statePropertyChildName);
				}
		});
	});

	return processedState;
}