'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.setupIpcListener = setupIpcListener;

var _getIpc = require('./getIpc');

var _libraryConstants = require('../constants/libraryConstants');

var _actionTypes = require('../constants/actionTypes');

function setupIpcListener(dispatch) {
	let ipc = (0, _getIpc.getIpc)();

	ipc.on(_libraryConstants.IPC_CHANNEL_NAME, (event, arg) => {
		if (arg.type === _actionTypes.GLOBAL_ACTION) {
			arg.payload.received = new Date().toISOString();

			dispatch(arg);
		}
	});
}